Skip to content

Get the list of resources authorized by the group

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the list of resources authorized by the group through the group code, and filter by resource type and permission group code.

Method name

ManagementClient.get_group_authorized_resources

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
codestringYes-Group codedeveloper
namespacestringNo-Code of the permission group (permission space). Do not pass to get the default permission group.default
resourceTypestringNo-Resource type

Request Response

Type: AuthorizedResourceListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "resourceCode": "ecs:1",
    "description": "Server",
    "condition": {
      "param": "AppId",
      "operator": "StringEquals",
      "value": "1"
    },
    "resourceType": "API",
    "apiIdentifier": "/api/v1/example",
    "actions": "[\"ecs:Start\",\"ecs:Stop\"]",
    "effect": "ALLOW"
  }
}

Data Structure

AuthorizedResourceDto

NameTypeRequiredDescriptionSample value
resourceCodestringYesResource descriptorecs:1
descriptionstringNoResource description informationServer
conditionarrayNoPolicy Condition Nested type: <a PolicyCondition.
resourceTypestringyesresource typeDATA
apiIdentifierstringyesAPI URL/api/v1/example
actionsarrayyeslist of authorized actions["ecs:Start","ecs:Stop"]
effectstringyesallow or denyALLOW

PolicyCondition

NameTypeRequiredDescriptionSample value
paramstringYesCondition ParamUserPoolId
operatorstringYesCondition OperatorBool
valuestringYesCondition Value1

Agent infrastructure for identity, memory, and web action.